--[[
 ______  _____  _______ ______  _____ _______
  ____/ |     | |  |  | |_____]   |   |______
 /_____ |_____| |  |  | |_____] __|__ |______
                                             
	Version: 0.06
]]--

-- Third-Party Libraries
require "libs/LUBE"
require "libs/tableSer"
anim8 = require 'libs/anim8'
require "libs/sound"
require "libs/debug"

-- LovelyMoon
require "libs/stateManager"
require "libs/lovelyMoon"

-- Game Systems
require "systems/gun"
require "systems/ai"
camera = require("systems/camera")
player = require("systems/player")
entity = require("systems/entity")
button = require("systems/button")

-- Game States
require("states/gameState")
require("states/serverState")
require("states/menuState")

function love.load()
	addState(GameState, "game")
	addState(ServerState, "server")
	addState(MenuState, "menu")
	
	enableState("menu")
end

function love.draw()
	lovelyMoon.draw()
end

function love.update(dt)
	lovelyMoon.update(dt)
end

function love.keypressed(key)
	lovelyMoon.keypressed(key)
end

function love.mousepressed( x, y, button )
    lovelyMoon.mousepressed(x, y, button)
end

function love.quit()
	lovelyMoon.quit()
end