-- Table
MenuState = {}

-- New
function MenuState:new()
	local gs = {}

	gs = setmetatable(gs, self)
	self.__index = self
	_gs = gs
	
	return gs
end

-- Load
function MenuState:load()
	normal = love.graphics.newImage("assets/buttons/normal.png")
	hover = love.graphics.newImage("assets/buttons/hover.png")
	title = love.graphics.newImage("assets/buttons/title.png")
	background = love.graphics.newImage("assets/buttons/background.png")
end

-- Close
function MenuState:close()
end

-- Enable
function MenuState:enable()
	love.graphics.setFont(font42)

	button:new("Start Game", (love.graphics.getWidth() - normal:getWidth()) / 2, 200, normal, hover, "menu", "game")
	button:new("Quit", (love.graphics.getWidth() - normal:getWidth()) / 2, 400, normal, hover)
end

-- Disable
function MenuState:disable()
end

-- Update
function MenuState:update(dt)
end

-- Draw
function MenuState:draw()
	love.graphics.draw(background, 0, 0)
	love.graphics.draw(title, (love.graphics.getWidth() - title:getWidth()) / 2, 50)
	button:draw()
end

-- KeyPressed
function MenuState:mousepressed(x, y, key)
	button:mouse(x, y, key)
end