npc = {}

local function checkDead(v, i)
	love.math.setRandomSeed(os.time() * love.math.random(1, 10000000))

	if v.health <= 0 then
		v.alive = false
	end
	
	local j = {}
	j.table = v
	j.number = i
	
	sendToServer("updateEnemy", j)

	if v.health <= 0 then
		table.remove(npc, i)
		player.kills = player.kills + 1

		if love.math.random(1, 5) == 1 then
			entity:new("ammo", v.x + v.width / 2, v.y + v.height / 2)
		end

		return true
	end

	return false
end

function addNPC(aiType, x, y, type, health, speed)
	local i = {
		ai = aiType,
		type = type,
		width = 24,
		height = 24,
		health = health,
		speed = speed + love.math.random(1, 10),
		x = x,
		y = y,
		alive = true,
		action = "running",
		scale = -1,
	}
	
	aiCount = aiCount + 1
	
	sendToServer("newEnemy", i)
end

function updateNPC(dt)
	enemyAnim["Standard"]["idle"]:update(dt)
	enemyAnim["Standard"]["running"]:update(dt)

	enemyAnim["Stricker"]["idle"]:update(dt)
	enemyAnim["Stricker"]["running"]:update(dt)

	enemyAnim["Heavy"]["idle"]:update(dt)
	enemyAnim["Heavy"]["running"]:update(dt)

	enemyAnim["Physic"]["idle"]:update(dt)
	enemyAnim["Physic"]["running"]:update(dt)

	for i,v in ipairs(npc) do
		for k,j in ipairs(player.bullets) do
			if j.x >= player.x and j.x <= player.x + player.width and j.y >= player.y and j.y <= player.y + player.height and j.type == player.id then
				j.health = j.health - player.health
				player.health = player.health - j.damage

				if player.health <= 0 then
					respawnPlayer()
				end

				if j.health <= 0 then
					if j.gun == "Bazooka" then
						explode(1200, v.x, v.y)
					end
					table.remove(player.bullets, k)
				end
			end

			if v.alive and j.x >= v.x and j.x <= v.x + v.width and j.y >= v.y and j.y <= v.y + v.height then
				j.health = j.health - v.health
				
				if v.type ~= "Robot" then
					v.health = v.health - j.damage
				else
					j.health = j.health - 10000
				end

				if checkDead(v, i) and v.type == "Physic" then
					j.dx = -j.dx
					j.dy = -j.dy
					j.type = player.id
				end

				if j.gun == "Bazooka" and v.type ~= "Physic" then
					table.remove(player.bullets, k)
					explode(1200, v.x, v.y)
				end

				if j.gun == "Tazer" and v.type == "Robot" then
					v.health = -1
					checkDead(v, i)
				end

				if j.health <= 0 then
					table.remove(player.bullets, k)
				end
			end
		end
		
		if v.alive and v.x + v.width > player.x and v.x < player.x + player.width and v.y + v.height > player.y and v.y < player.y + player.height then
			if not player.invincible then
				player.health = player.health - 1
				player:setInvince(1)

				if player.health <= 0 then
					respawnPlayer()
				end
			end
		end
	end
end

function drawNPC()
	for i,v in ipairs(npc) do
		local p = 0
		if v.scale == -1 then
			p = 1
		end

		enemyAnim[v.type][v.action]:draw(enemyAnim[v.type].img, v.x + (player.width * p), v.y, 0, v.scale, 1)
	end
end