local button = {}

function button:new(displayText, x, y, image, hoverImg, originID, id)
	local i = {
		text = displayText,
		x = x,
		y = y,
		image = image,
		hoverImg = hoverImg,
		originID = originID,
		id = id,
	}

	table.insert(button, i)
end

function button:draw()
	local x, y = love.mouse.getPosition()

	for i,v in ipairs(self) do
		if x >= v.x and x <= v.x + v.image:getWidth() and y >= v.y and y <= v.y + v.image:getHeight() then
			love.graphics.draw(v.hoverImg, v.x, v.y)
			love.graphics.print(v.text, v.x + (v.hoverImg:getWidth() - font42:getWidth(v.text)) / 2, v.y + (v.hoverImg:getHeight() - font42:getHeight()) / 2)
		else
			love.graphics.draw(v.image, v.x, v.y)
			love.graphics.print(v.text, v.x + (v.image:getWidth() - font42:getWidth(v.text)) / 2, v.y + (v.image:getHeight() - font42:getHeight()) / 2)
		end
	end
end

function button:mouse(x, y, key)
	for i,v in ipairs(self) do
		if x >= v.x and x <= v.x + v.image:getWidth() and y >= v.y and y <= v.y + v.image:getHeight() then
			if isState(v.id) then
				enableState(v.id)
				
				if isState(v.originID) then
					disableState(v.originID)
				end
			else
				love.event.push("quit")
			end
		end
	end
end

return button