entity = {}
entity.objects = {}

local ammo = love.graphics.newImage("assets/npc/ammo.png")

function entity:new(type, x, y)
	local i = {
		type = type,
		x = x,
		y = y,
		width = 0,
		height = 0,
		r = math.rad(math.random(0, 360))
	}

	if i.type == "ammo" then
		i.width, i.height = 24, 24
	end

	sendToServer("newEntity", i)
end

function entity:draw()
	for i,v in ipairs(self.objects) do
		if v.type == "ammo" then
			love.graphics.draw(ammo, v.x, v.y, v.r, 1, 1, v.width / 2, v.height / 2)
		end
	end
end

function entity:update(dt)
	love.math.setRandomSeed(os.time() * love.math.random(1, 10000000))

	local ex = 20
	for i,v in ipairs(self.objects) do
		if v.type == "ammo" then
			if v.x >= player.x - ex and v.x <= player.x + player.width + ex and v.y >= player.y - ex and v.y <= player.y + player.height + ex then
				player.ammo = player.ammo + 10
				table.remove(self, i)

				local j = {}
				j.i = i
				sendToServer("removeEntity", j)
			end
		end
	end
end

return entity