guns = {}
explosions = {}

local function dist(x1,y1, x2,y2)
	return ((x2-x1)^2+(y2-y1)^2)^0.5
end

local function checkDead(v, i)
	if v.health <= 0 then
		v.alive = false
	end
	
	local j = {}
	j.table = v
	j.number = i
	
	sendToServer("updateEnemy", j)

	if v.health <= 0 then
		table.remove(npc, i)
		player.kills = player.kills + 1
	end
end

function addGun(gunName, gunImage, bulletImage, gunMax, bulletSpeed, damage)
	local i = gunName
	
	guns[i] = {
		name = gunName,
		image = gunImage,
		bullet = bulletImage,
		timer = gunMax,
		speed = bulletSpeed,
		damage = damage,
	}
end

function equipGun(gunName)
	local i = gunName

	player.gunMax = guns[i].timer
	player.bulletSpeed = guns[i].speed
	player.damage = guns[i].damage
	player.curGun = gunName
end

function explode(size, x, y)
	local i = {
		size = size,
		x = x,
		y = y,
		timer = 0.5,
	}

	sendToServer("explode", i)
end

function drawExplosions()
	for i,v in ipairs(explosions) do
		if v then
			local scale = love.math.random(8, 12) / 10
			love.graphics.draw(explosion, v.x, v.y, math.rad(love.math.random(0, 360)), scale, scale, explosion:getWidth() / 2, explosion:getHeight() / 2)
		end
	end
end